<solidify-empty-container [solidifyFocusFirstElement]="true"
                          (onEscape)="isEdit ? backToDetail() : backToList()"
                          solidifyShortCuts
>
  <solidify-button-toolbar-detail [currentModel]="currentObs | async"
                                  [formPresentational]="formPresentational"
                                  [mode]="isEdit ? 'edit' : 'detail'"
                                  [editAvailable]="editAvailable"
                                  [deleteAvailable]="deleteAvailable"
                                  [backToListNavigate]="backToListNavigate()"
                                  (backToDetailChange)="backToDetail()"
                                  (deleteChange)="delete()"
                                  (editChange)="edit()"
  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-submission-agreement-form #formPresentational
                                          *ngIf="isReadyToBeDisplayedObs | async"
                                          [editAvailable]="editAvailable"
                                          [model]="currentObs | async"
                                          [readonly]="!isEdit"
                                          (dirtyChange)="updateCanDeactivate($event)"
                                          (editChange)="edit()"
                                          (submitChange)="update($event)"
    ></dlcm-admin-submission-agreement-form>
  </div>
</solidify-empty-container>


